Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0048408
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2022-01-17 16:062022-01-27 08:09
ReporterjmelinView Statuspublic 
Assigned Tojorge-garcia 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0048408: JIRA 2608 - Menu automatic transformation - Menu is transformed even if the menu is not in the price list linked to the schema

DescriptionOn tap or FS environment

When using “Menu automatic transformation”, a menu should be proposed only if the menu is in the price list linked to the WebPOS schema at org level
Steps To ReproduceAdd the following products to price list "OBREST The White Valley Group Terrace Price List"
- Onion Soup
- Carbonara Pizza
with a price of 10.00 for each

In POS Keymap "Main Terrace Keymap",
Create a new category and add both product Onion and Pizza

Connect to VBS-2 or refresh it

Switch to WebPOS schema "TERRACE" and to the new category
Add one of "Onion" and one of "Pizza" and go the payment page

KO => the menu is transformed into a "Repeated Product Menu" despite the menu is not in price list "OBREST The White Valley Group Terrace Price List"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0048425TAP closedjorge-garcia JIRA 2608 - Menu automatic transformation - Menu is transformed even if the menu is not in the price list linked to the schema 

-  Notes
(0134333)
jmelin (developer)
2022-01-17 16:28

If you add the same products but from WebPOS schema "Restaurant", it sholud keep to be transformed into "Repeated Product Menu"
because no price list is linked to the WebPOS schema at org level and so the price list defined at org applied
(0134382)
hgbot (developer)
2022-01-19 11:39

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.restaurant/-/merge_requests/109 [^]
(0134583)
hgbot (developer)
2022-01-27 08:09

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.restaurant [^]
Changeset: ed94187f6e44557ab035a3bd672a83d38de4a07d
Author: Jorge Garcia <jorge.garcia@openbravo.com>
Date: 19-01-2022 11:32:42
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.restaurant/-/commit/ed94187f6e44557ab035a3bd672a83d38de4a07d [^]

Fixed ISSUE-48408: Do not apply autodiscovery menu if schema pricelist
has no price for menu product

---
M web-jspack/org.openbravo.pos2.restaurant/src/model/food-menu/best-deal/__test__/discoverMenus.test.js
M web-jspack/org.openbravo.pos2.restaurant/src/model/food-menu/best-deal/discoverMenus.js
---
(0134584)
hgbot (developer)
2022-01-27 08:09

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.restaurant/-/merge_requests/109 [^]

- Issue History
Date Modified Username Field Change
2022-01-17 16:06 jmelin New Issue
2022-01-17 16:06 jmelin Assigned To => jmelin
2022-01-17 16:06 jmelin Triggers an Emergency Pack => No
2022-01-17 16:28 jmelin Note Added: 0134333
2022-01-17 16:28 jmelin Description Updated View Revisions
2022-01-17 16:28 jmelin Steps to Reproduce Updated View Revisions
2022-01-17 16:28 jmelin Assigned To jmelin => Retail
2022-01-19 08:40 jorge-garcia Assigned To Retail => jorge-garcia
2022-01-19 08:40 jorge-garcia Status new => acknowledged
2022-01-19 11:30 jorge-garcia Status acknowledged => scheduled
2022-01-19 11:39 hgbot Note Added: 0134382
2022-01-19 12:31 jorge-garcia Review Assigned To => AugustoMauch
2022-01-27 08:09 hgbot Resolution open => fixed
2022-01-27 08:09 hgbot Status scheduled => closed
2022-01-27 08:09 hgbot Note Added: 0134583
2022-01-27 08:09 hgbot Note Added: 0134584


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker